"Clear" button in Spent Time Report tab also clears global filters
Resolution: Fixed Affected version:

Description

Steps to reproduce:

1. Go to Projects -> Overall spent time -> Report.
2. Add some filters or just choose "Date is today".
3. Click Clear in Details area.

Expected result:
Only report itself is cleared.

Actual result:
Filters are cleared too. Look at the following screencast: http://screencast.com/t/VCs06HgDfP

Related issues:
Related to Redmine - Defect #14817: Redmine loses filters after deleting a sp... Closed
Has duplicate Redmine - Defect #17724: Time Entries Report: Reset links behav... Closed

Associated revisions

Revision 16057 - 2016-12-11 10:35 - Jean-Philippe Lang
"Clear" button in Spent Time Report tab also clears global filters (#13622).

Revision 16095 - 2016-12-20 10:01 - Jean-Philippe Lang
Merged r16057 (#13622).

Revision 16096 - 2016-12-20 10:01 - Jean-Philippe Lang
Merged r16057 (#13622).

History

#1 - 2013-03-29 09:26 - Etienne Massip
- Status changed from New to Needs feedback
| don't get it:
e details and filters are supposed to be synced, what would mean clearing the details only??

¢ it works in time tracking report the same way it works in issue list
¢ the Clear link is not located within the Details tab

#2 - 2013-03-29 09:35 - Anton Nepomnyaschih

Please, look here: http://screencast.com/t/Bz2eAFz0x | call the area on the top as "Filters area". And area on the bottom as "Details area".

| think, workflow of the page is next:
1. User configurates Filters. He can choose any filters he want.

2. User selects "Details" combobox (Month, Year, Week, etc.). And the user Adds any thing he wants to see spent time by.

After that he can change his choice and to choose another period, for example, month. Or choose another granilarity (for example, by issues, not by
tracker). And it mustn't change filters above. But now user can't just change the granularity and choose another breakdown - when he clicks Clear, it

also clears all filters. So he has to select the filters again.

#3 - 2013-03-29 09:37 - Anton Nepomnyaschih

Please, also look at the video | provided in description of the ticket.
#4 - 2013-03-29 12:17 - Etienne Massip

- Subject changed from "Clear" in Spent Time Report clears Filters also to "Clear" button in Spent Time Report tab also clears global filters

- Category set to Time tracking
- Status changed from Needs feedback to Confirmed

- Target version set to Candidate for next minor release

| can't watch your video right now but | can confirm the bug, | thought you were talking about the Details tab but you were actually talking about the

Details filter in the Report tab.

My bad.

#5 - 2014-12-11 10:22 - Artyom Khramov
- File fix.js added

Here's a js script that will fix this defect. Just include it into your project.

#6 - 2015-07-27 14:03 - Zer Guz

+1 Please make this easy fix in Redmine as soon as possible. As it is now, it is hassle to re-enter the global filters every time | have to clear the

report.

#7 - 2015-08-18 12:12 - Nick Sneg

Artyom Khramov wrote:

Here's a js script that will fix this defect. Just include it into your project.

What does it mean, how to include this script to my redmine server?

#8 - 2016-11-03 04:00 - mouson chen

+1

#9 - 2016-12-11 02:55 - Go MAEDA
- Related to Defect #14817: Redmine loses filters after deleting a spent time added

#10 - 2016-12-11 02:55 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.3.2

This issue can be fixed by the patch attached on #14817#note-4.
Setting target version to 3.3.2 along with #14817.

#11 - 2016-12-11 08:44 - Go MAEDA

- Has duplicate Defect #17724: Time Entries Report: Reset links behave inconsistent added

#12 - 2016-12-11 10:35 - Jean-Philippe Lang
- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r16057 without storing filters in session.
Thanks for pointing this out.

#13 - 2016-12-20 10:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

fix.js 252 Bytes 2014-12-11
